# Flakes

[http://getflakes.com](http://getflakes.com)

Flakes is an Admin Template Framework. A combination of CSS Libraries, JavaScript Libraries and Design files that help you build business tools very quickly.

## Getting Started

### When should you use Flakes?

Flakes is intended to be used for business facing web applications. If you're building an internal tool to help your sales team manage leads or are building an inventory tracking solution for your watch business, you'll need Flakes.

Flakes is a starting point, It helps you get a quick start. It is not a collection of everything you'll ever need and it doesn't aim to become one.

### What sort of layouts can I build with Flakes?

Flakes is a collection of components. These components follow the Flakes aesthetic and go well together. Since these components are low level abstractions like forms and grids, you really can build almost anything you'll need.

I've built a few example layouts for you play around with. Check out the example layouts using the navigation to your left to get a feel for what is possible.

### Quick Start Guide

1.  **Download** the Flakes framework on [Github](https://github.com/kumailht/flakes) or using `npm install --save flakes`.
2.  **Install** Dependencies using the "bower install" command. If you don't have the Bower Package Manager, install it using the instructions on their [official site](http://bower.io/).
3.  **Example.html** has some boilerplate code that you can use to get started.

### How do I contribute to Flakes?


Until now, Flakes has been a one man show with me designing and developing for it. When you work on something for long enough, you'll run out of ideas on how to improve it. If you are keen on contributing I'd love to have you make a pull request with your change. If it's a sufficiently big change, I'd recommend filing an issue on Github to discuss the change to avoid duplicate or unnecessary work.

### How do I get help?

If you need help with something the documentation does not cover, send me an email and I'd be happy to help you. [contact@kumailht.com](contact@kumailht.com)

### Report a bug

Please report all bugs on the Github issues page. If you have some time, I'd appreciate it a whole lot more if you could make a pull request with a fix.

